classification
Title: tkColorChooser may fail if no color is selected
Type: Stage:
Components: Tkinter Versions: Python 3.0, Python 2.7, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: gpolo, loewis
Priority: release blocker Keywords: patch

Created on 2008-09-03 22:32 by gpolo, last changed 2008-12-29 16:28 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
str_result.diff gpolo, 2008-09-03 22:32
tkColorChooser.diff gpolo, 2008-11-18 13:01
Messages (4)
msg72425 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-09-03 22:32
Chooser._fixresult in the tkColorChooser module uses "if not result" to
check if user canceled the dialog, but nowadays Tk may return a cached
object that contains the result we are after, so, this object will not
simply evaluate to false and _fixresult will act like if the user didn't
cancel the dialog. 
The fix is simple, just get the real value of result in that check.
msg76007 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-18 13:01
I've noticed a problem with the previous patch, so this new one includes
a comment too so people can remember about the check being applied.
msg77745 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-13 15:10
Thanks for the patch.

Committed tkColorChooser.diff as r67738 in the 2.5 branch. Applying this
to the other branches still needs to be done.
msg78462 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-29 16:28
Committed into various branches as r68010, r68011, r68012, and r68013
History
Date User Action Args
2008-12-29 16:28:46loewissetstatus: open -> closed
messages: + msg78462
2008-12-20 14:36:54loewissetversions: - Python 2.5, Python 2.5.3
2008-12-20 02:41:39loewissetpriority: deferred blocker -> release blocker
2008-12-13 15:10:42loewissetpriority: release blocker -> deferred blocker
assignee: loewis
messages: + msg77745
resolution: accepted
nosy: + loewis
2008-12-10 08:46:33loewissetpriority: release blocker
2008-11-18 13:01:21gpolosetfiles: + tkColorChooser.diff
messages: + msg76007
versions: + Python 2.7, Python 2.5.3
2008-09-03 22:32:10gpolocreate